/*
 * Character.h
 *
 *  Created on: 28/mar/2012
 *      Author: bertini
 */

#ifndef CHARACTER_H_
#define CHARACTER_H_

#include "WeaponBehaviour.h"

class Character {
public:
	Character(int hp, int d) : HP(hp), armor(d) {};

	int getHP() const;
	void setHP(int strenght);
	WeaponBehaviour getWeapon() const;
	void setWeapon(WeaponBehaviour weapon);
	int getArmor() const;
	void setArmor(int defense);

	bool fight(Character& enemy);
	int receiveDamage(int points);

private:
	int HP;
	int armor;
	WeaponBehaviour weapon;
};

#endif /* CHARACTER_H_ */
